---
features:
  secondary:
  - name: Tab width user preference
    available_in:
    - core
    - starter
    - premium
    - ultimate
    gitlab_com: true
    documentation_link: 'https://docs.gitlab.com/ee/user/profile/preferences.html#tab-width'
    reporter: jramsay
    stage: create
    categories:
    - "Source Code Management"
    issue_url: 'https://gitlab.com/gitlab-org/gitlab/issues/13904'
    description: |
      Tabs, in contrast to spaces, are [more than a matter of preference](https://wiki.c2.com/?TabsVersusSpaces) for some. For those who use tabs, the correct tab width is no trifling matter. Particularly for C and Go projects, where tabs are most common, it is important that tab width can be configured to match local preferences for the best code review.

      GitLab now provides a **Tab width** user preference, used when viewing code including diffs, CI logs, and rendered code blocks in Markdown.

      Thank you [Alexander Oleynikov](https://gitlab.com/0leynikov) for your [contribution](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/22063)!
